﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@model Models.ViewModels.ServiceVM
@{
    var title = "Create Service";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<form method="post" asp-action="Upsert" enctype="multipart/form-data">
    <div class="row px-2 mx-2 backgroundWhite border">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        @if (Model.Service.Id != 0)
        {
            <input type="hidden" asp-for="Service.Id" />
            title = "Edit Service";
        }
        <div class="col-12">
            <h2 class="text-primary">@title</h2>
            <br />
        </div>

        <div class="col-9">
            <div class="form-group row">
                <div class="col-4">
                    <label asp-for="Service.Name"></label>
                </div>
                <div class="col-8">
                    <input asp-for="Service.Name" class="form-control" />
                    <span asp-validation-for="Service.Name" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-4">
                    <label asp-for="Service.Price"></label>
                </div>
                <div class="col-8">
                    <input asp-for="Service.Price" id ="txtPrice" class="form-control" />
                    <span asp-validation-for="Service.Price" class="text-danger"></span>
                </div>
            </div>

            <div class="form-group row">
                <div class="col-4">
                    <label asp-for="Service.LongDesc"></label>
                </div>
                <div class="col-8">
                    <input asp-for="Service.LongDesc" class="form-control" />
                    <span asp-validation-for="Service.LongDesc" class="text-danger"></span>
                </div>
            </div>

            <div class="form-group row">
                <div class="col-4">
                    <label asp-for="Service.ImageUrl"></label>
                </div>
                <div class="col-8">
                    <input type="file" name="files" id="uploadBox" multiple class="form-control" />
                </div>
            </div>

            <div class="form-group row">
                <div class="col-4">
                    <label asp-for="Service.FrequencyId"></label>
                </div>
                <div class="col-8">
                    @Html.DropDownListFor(m => m.Service.FrequencyId, Model.FrequencyList,
                                             "-Please select a frequency-", new { @class = "form-control" })
                </div>
            </div>

            <div class="form-group row">
                <div class="col-4">
                    <label asp-for="Service.CategoryId"></label>
                </div>
                <div class="col-8">
                    @Html.DropDownListFor(m => m.Service.CategoryId, Model.CategoryList,
                                             "-Please select a category-", new { @class = "form-control" })
                </div>
            </div>

            <div class="form-group row">
                <div class="col-8 offset-4">
                    @if (Model.Service.Id != 0)
                    {
                        <partial name="_EditAndBackToListButton" model="Model.Service.Id" />
                    }
                    else
                    {
                        <div class="row">
                            <div class="col">
                                <button type="submit" onclick="return validateInput()" class="btn btn-primary form-control">Create</button>
                            </div>
                            <div class="col">
                                <a asp-action="Index" class="btn btn-success form-control">Back to List</a>
                            </div>
                        </div>
                    }

                </div>
            </div>


        </div>

        @if (Model.Service.Id != 0)
        {
            <div class="col-3">
                <img src="@Model.Service.ImageUrl" width="100%" style="border-radius:5px; border:1px; color:#bbb9b9" />



            </div>
        }
    </div>

</form>

@section Scripts{
    <script>
        function validateInput() {
            if (document.getElementById("uploadBox").value == "") {
                swal("Error", "Please Select an Image", "error")
                return false;
            }
            return true;
        };
        $(document).ready(function () {
            if (document.getElementById('txtPrice').value == "0") {
                document.getElementById('txtPrice').value == '';
            }
        });
    </script>

}